/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package org.isokissa.crowd.sim.lifecycle;

import org.isokissa.crowd.sim.Environment;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import static org.mockito.Mockito.*;

class DrainTest {
    private final float x = 100;
    private final float y = 50;
    private final float size = 5;

    private Drain drain;
    Environment env;

    @BeforeEach
    public void setup() {
        drain = new Drain(x, y, size);
        env = mock(Environment.class);
    }

    @Test
    public void thereIsNoBodyNearDoNothing() {
        drain.getDrained(env);
        verify(env, times(1)).getBodies(x - size, x + size, y - size, y + size);
    }
}
